Subject: Re: [PATCH 1/3] git-pack-objects: Automatically pack annotated tags if object was packed

From: "Shawn O. Pearce" <[email-masked]>
Date: Wed, 5 Mar 2008 01:32:43 -0500

Johannes Sixt <[email-masked]> wrote:
> Shawn O. Pearce schrieb:
> > Nicolas Pitre <[email-masked]> wrote:
> >> On Mon, 3 Mar 2008, Shawn O. Pearce wrote:
> >>
> >>> The new option "--auto-follow-tags" allows the caller to request that
> >>> any annotated tag be included into the packfile if the object the tag
> >>> references was also included as part of the packfile.
> >> Wouldn't "auto-include-tag" a better name for this option?
> > 
> > Ooooh.  Indeed it would!
> > 
> > I shall respin this series based around this better name.
> 
> More bikeshedding: Why are you calling it "auto-"? If I tell the program
> to "--include-tags", I expect it to happen automatically.

Because its more automatic than manually including tags?
I don't know.

Junio, if you haven't already merged this topic into someplace that
I can't rewrite the series for a _3rd_ time, I might be willing to
respin it without the "auto-" prefix.  We are unlikely to ever have
a reason to support "--manually-include-tags".  Stone tablet based
computing stopped being fun back in the '50s.

-- 
Shawn.